<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 2/7/2018
 * Time: 4:22 AM
 */

include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['estado']) && isset($_REQUEST['idEmpresaSeguridad'])) {
            $empresaseguridad = R::load('empresaseguridad', $_REQUEST['idEmpresaSeguridad']);
            $empresaseguridad->fechaModificacion = date('Y-m-d H:i:s');
            $empresaseguridad->estado = $_REQUEST['estado'];
            $id = R::store($empresaseguridad);
            include '../comun/mensajeModificado.php';

        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}